net.i2p.router.tunnel

## Interface TunnelGateway.Receiver

- All Known Implementing Classes:
    InboundGatewayReceiver, OutboundReceiver
  Enclosing class:
    TunnelGateway

      public static interface TunnelGateway.Receiver

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `receiveEncrypted(byte[] encrypted)` Take the encrypted data and send it off to the next hop

- - ### Method Detail

    - #### receiveEncrypted

          long receiveEncrypted(byte[] encrypted)

      Take the encrypted data and send it off to the next hop
      Returns:
        message ID it was sent in, or -1 if it had to be deferred